Subject: [bug#61103] No Subject

From: Mája Tomášek <[email-masked]>
Date: Sat, 04 Feb 2023 11:50:50 +0100

Liliana Marie Prikler <[email-masked]> writes:

> I am fairly certain that by default, dconf-editor does not crash when
> using gnome-desktop-service-type (i.e. the "default" configuration).

I'm afraid that it does. At least on my system it does. I use gnome-desktop-service-type.

> Now fair enough, it might still break in the way you described *outside
> of gnome*, but in any case, propagating inputs is no solution and in
> this case, you're breaking cross-compilation to rely on a side effect.

I understand that it is not an optimal solution. I didn't like it
either, but I didn't find any other solution

> The package you do want is most likely gsettings-desktop-schemas

I have now tried the following:

---
$ guix shell --pure gsettings-desktop-schemas dconf-editor
$ dconf-editor 

(dconf-editor:4990): dbind-WARNING **: 11:46:30.355: AT-SPI: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(dconf-editor:4990): GLib-GIO-ERROR **: 11:46:30.369: No GSettings schemas are installed on the system
zsh: trace trap  dconf-editor
---

and
---
$ guix shell gsettings-desktop-schemas dconf-editor       
$ dconf-editor 

(dconf-editor:5048): GLib-GIO-ERROR **: 11:47:58.518: Settings schema 'ca.desrt.dconf-editor.Lib' is not installed
zsh: trace trap  dconf-editor
---

Both resulting in an error. Yes the error is different but I'm not
knowledgeable enough to fix this issue.

> think it ought to be possible to fix dconf-editor without propagating

That would be great!

Regards,
Maya